Method: projects.locations.brands.channelConfigs.list

Lists ChannelConfigs.

HTTP request

GET https://foodorderingaiagent.googleapis.com/v1/{parent=projects/*/locations/*/brands/*}/channelConfigs

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent brand, which owns this collection of channel configs. Format: projects/{project}/locations/{location}/brands/{brand}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of channel configs to return. The service may return fewer than this value.

pageToken

string

Optional. A page token, received from a previous channelConfigs.list call. Provide this to retrieve the subsequent page.

filter

string

Optional. A filter expression that filters the results. The expression syntax is documented in https://google.aip.dev/160.

The following fields are supported: - type

Examples: - type="AGENT_CUSTOMIZATION"

Request body

The request body must be empty.

Response body

Response message for MenuService.ListChannelConfigs.

If successful, the response body contains data with the following structure:

JSON representation
{
  "channelConfigs": [
    {
      object (ChannelConfig)
    }
  ],
  "nextPageToken": string
}
Fields
channelConfigs[]

object (ChannelConfig)

The channel configs from the specified collection.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.